/*
 * Copyright 2005-2018 Dozer Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.github.dozermapper.core.vo.set;

import java.util.Set;

import com.github.dozermapper.core.vo.BaseTestObject;

public class SomeVO extends BaseTestObject {

    private Integer field1;
    private Set field2;

    public Integer getField1() {
        return field1;
    }

    public void setField1(Integer field1) {
        this.field1 = field1;
    }

    public Set getField2() {
        return field2;
    }

    public void setField2(Set field2) {
        this.field2 = field2;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if (!super.equals(obj)) {
            return false;
        }

        if (getClass() != obj.getClass()) {
            return false;
        }

        final SomeVO other = (SomeVO)obj;
        if (field2 == null) {
            return other.field2 == null;
        } else {
            return field2.equals(other.field2);
        }
    }

    @Override
    public int hashCode() {
        final int PRIME = 31;
        int result = super.hashCode();
        result = PRIME * result + ((field2 == null) ? 0 : field2.hashCode());
        return result;
    }
}
